Retrieve a confidential asset
curl --request GET \
--url https://api.example.com/v1/assets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/assets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"creatorAuthority": "<string>",
"auditorElGamalPubkey": "<string>",
"auditorKeyProvider": "<string>",
"mintAddress": "<string>",
"deploymentSignature": "<string>",
"deploymentStatus": "<string>",
"disclosurePolicyId": "<string>",
"confidentialMintBurnEnabled": true,
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Retrieve a confidential asset
Return an Asset owned by the API key’s organization.
Retrieve a confidential asset
Use this method to recover the Asset configuration or inspect its current mint
binding and lifecycle status.
An Asset outside the API key’s organization returns
404 Not Found.Authorizations
Organization API key created through the User API.
Path Parameters
Arcane confidential Asset ID.
Response
Confidential Asset returned.
Per-organization auditor ElGamal public key.
Available options:
pending, active, error, disabled